GET/projects/api/v3/custom-exchange-rates/{id}.json

Get a custom exchange rate

Get a single custom exchange rate by ID.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    CustomExchangeRateResponse represents a single custom exchange rate response.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Type
    object
    Schema
    Description
    404 Not Found
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

CustomExchangeRateResponse
{
  "customExchangeRate": {
    "createdAt": "string",
    "createdBy": {
      "id": 0,
      "meta": {},
      "type": "string"
    },
    "fromCurrency": "string",
    "id": 0,
    "notes": "string",
    "rate": 0,
    "toCurrency": "string",
    "updatedAt": "string",
    "updatedBy": {
      "id": 0,
      "meta": {},
      "type": "string"
    },
    "validFrom": {
      "Day": 0,
      "Month": 0,
      "Year": 0
    },
    "validTo": {
      "Day": 0,
      "Month": 0,
      "Year": 0
    }
  }
}